BSL430.NET 1.2.1

Public Attributes | List of all members
FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE Class Reference

EEPROM structure specific to FT232H devices. Inherits from FT_EEPROM_DATA. More...

Inheritance diagram for FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE:

## Public Attributes
bool | PullDownEnable = false
| Determines if IOs are pulled down when the device is in suspend More...
bool | SerNumEnable = true
| Determines if the serial number is enabled More...
bool | ACSlowSlew = false
| Determines if AC pins have a slow slew rate More...
bool | ACSchmittInput = false
| Determines if the AC pins have a Schmitt input More...
byte | ACDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA
| Determines the AC pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA More...
bool | ADSlowSlew = false
| Determines if AD pins have a slow slew rate More...
bool | ADSchmittInput = false
| Determines if the AD pins have a Schmitt input More...
byte | ADDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA
| Determines the AD pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA More...
byte | Cbus0 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE
| Sets the function of the CBUS0 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN, FT_CBUS_CLK30, FT_CBUS_CLK15, FT_CBUS_CLK7_5 More...
byte | Cbus1 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE
| Sets the function of the CBUS1 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN, FT_CBUS_CLK30, FT_CBUS_CLK15, FT_CBUS_CLK7_5 More...
byte | Cbus2 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE
| Sets the function of the CBUS2 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN More...
byte | Cbus3 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE
| Sets the function of the CBUS3 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN More...
byte | Cbus4 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE
| Sets the function of the CBUS4 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN More...
byte | Cbus5 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE
| Sets the function of the CBUS5 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_IOMODE, FT_CBUS_TXDEN, FT_CBUS_CLK30, FT_CBUS_CLK15, FT_CBUS_CLK7_5 More...
byte | Cbus6 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE
| Sets the function of the CBUS6 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_IOMODE, FT_CBUS_TXDEN, FT_CBUS_CLK30, FT_CBUS_CLK15, FT_CBUS_CLK7_5 More...
byte | Cbus7 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE
| Sets the function of the CBUS7 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE More...
byte | Cbus8 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE
| Sets the function of the CBUS8 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_IOMODE, FT_CBUS_TXDEN, FT_CBUS_CLK30, FT_CBUS_CLK15, FT_CBUS_CLK7_5 More...
byte | Cbus9 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE
| Sets the function of the CBUS9 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_IOMODE, FT_CBUS_TXDEN, FT_CBUS_CLK30, FT_CBUS_CLK15, FT_CBUS_CLK7_5 More...
bool | IsFifo = false
| Determines if the device is in FIFO mode More...
bool | IsFifoTar = false
| Determines if the device is in FIFO target mode More...
bool | IsFastSer = false
| Determines if the device is in fast serial mode More...
bool | IsFT1248 = false
| Determines if the device is in FT1248 mode More...
bool | FT1248Cpol = false
| Determines FT1248 mode clock polarity More...
bool | FT1248Lsb = false
| Determines if data is ent MSB (0) or LSB (1) in FT1248 mode More...
bool | FT1248FlowControl = false
| Determines if FT1248 mode uses flow control More...
bool | IsVCP = true
| Determines if the VCP driver is loaded More...
bool | PowerSaveEnable = false
| For self-powered designs, keeps the FT232H in low power state until ACBUS7 is high More...
Public Attributes inherited from FTD2XX_NET.FTDI.FT_EEPROM_DATA
UInt16 | VendorID = 0x0403
| Vendor ID as supplied by the USB Implementers Forum More...
UInt16 | ProductID = 0x6001
| Product ID More...
string | Manufacturer = "FTDI"
| Manufacturer name string More...
string | ManufacturerID = "FT"
| Manufacturer name abbreviation to be used as a prefix for automatically generated serial numbers More...
string | Description = "USB-Serial Converter"
| Device description string More...
string | SerialNumber = ""
| Device serial number string More...
UInt16 | MaxPower = 0x0090
| Maximum power the device needs More...
bool | SelfPowered = false
| Indicates if the device has its own power supply (self-powered) or gets power from the USB port (bus-powered) More...
bool | RemoteWakeup = false
| Determines if the device can wake the host PC from suspend by toggling the RI line More...

## Detailed Description

EEPROM structure specific to FT232H devices. Inherits from FT_EEPROM_DATA.

## Member Data Documentation

## ◆ ACDriveCurrent

byte FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.ACDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA

Determines the AC pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA

## ◆ ACSchmittInput

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.ACSchmittInput = false

Determines if the AC pins have a Schmitt input

## ◆ ACSlowSlew

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.ACSlowSlew = false

Determines if AC pins have a slow slew rate

## ◆ ADDriveCurrent

byte FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.ADDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA

Determines the AD pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA

## ◆ ADSchmittInput

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.ADSchmittInput = false

Determines if the AD pins have a Schmitt input

## ◆ ADSlowSlew

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.ADSlowSlew = false

Determines if AD pins have a slow slew rate

## ◆ Cbus0

byte FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.Cbus0 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE

Sets the function of the CBUS0 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN, FT_CBUS_CLK30, FT_CBUS_CLK15, FT_CBUS_CLK7_5

## ◆ Cbus1

byte FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.Cbus1 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE

Sets the function of the CBUS1 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN, FT_CBUS_CLK30, FT_CBUS_CLK15, FT_CBUS_CLK7_5

## ◆ Cbus2

byte FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.Cbus2 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE

Sets the function of the CBUS2 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN

## ◆ Cbus3

byte FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.Cbus3 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE

Sets the function of the CBUS3 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN

## ◆ Cbus4

byte FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.Cbus4 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE

Sets the function of the CBUS4 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_TXDEN

## ◆ Cbus5

byte FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.Cbus5 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE

Sets the function of the CBUS5 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_IOMODE, FT_CBUS_TXDEN, FT_CBUS_CLK30, FT_CBUS_CLK15, FT_CBUS_CLK7_5

## ◆ Cbus6

byte FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.Cbus6 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE

Sets the function of the CBUS6 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_IOMODE, FT_CBUS_TXDEN, FT_CBUS_CLK30, FT_CBUS_CLK15, FT_CBUS_CLK7_5

## ◆ Cbus7

byte FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.Cbus7 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE

Sets the function of the CBUS7 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE

## ◆ Cbus8

byte FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.Cbus8 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE

Sets the function of the CBUS8 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_IOMODE, FT_CBUS_TXDEN, FT_CBUS_CLK30, FT_CBUS_CLK15, FT_CBUS_CLK7_5

## ◆ Cbus9

byte FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.Cbus9 = FT_232H_CBUS_OPTIONS.FT_CBUS_TRISTATE

Sets the function of the CBUS9 pin for FT232H devices. Valid values are FT_CBUS_TRISTATE, FT_CBUS_RXLED, FT_CBUS_TXLED, FT_CBUS_TXRXLED, FT_CBUS_PWREN, FT_CBUS_SLEEP, FT_CBUS_DRIVE_0, FT_CBUS_DRIVE_1, FT_CBUS_IOMODE, FT_CBUS_TXDEN, FT_CBUS_CLK30, FT_CBUS_CLK15, FT_CBUS_CLK7_5

## ◆ FT1248Cpol

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.FT1248Cpol = false

Determines FT1248 mode clock polarity

## ◆ FT1248FlowControl

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.FT1248FlowControl = false

Determines if FT1248 mode uses flow control

## ◆ FT1248Lsb

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.FT1248Lsb = false

Determines if data is ent MSB (0) or LSB (1) in FT1248 mode

## ◆ IsFastSer

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.IsFastSer = false

Determines if the device is in fast serial mode

## ◆ IsFifo

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.IsFifo = false

Determines if the device is in FIFO mode

## ◆ IsFifoTar

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.IsFifoTar = false

Determines if the device is in FIFO target mode

## ◆ IsFT1248

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.IsFT1248 = false

Determines if the device is in FT1248 mode

## ◆ IsVCP

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.IsVCP = true

Determines if the VCP driver is loaded

## ◆ PowerSaveEnable

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.PowerSaveEnable = false

For self-powered designs, keeps the FT232H in low power state until ACBUS7 is high

## ◆ PullDownEnable

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.PullDownEnable = false

Determines if IOs are pulled down when the device is in suspend

## ◆ SerNumEnable

bool FTD2XX_NET.FTDI.FT232H_EEPROM_STRUCTURE.SerNumEnable = true

Determines if the serial number is enabled

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/FTD2XX_NET.cs